Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

pagination.page
string
pagination.limit
integer<int32>
pagination.as_of_time
string<date-time>
pagination.sort_order
enum<string>
  • ASC: Sort in ascending order. This is the default unless otherwise specified.
  • DESC: Sort in descending order.
Available options:
ASC,
DESC
service_account_name
string

Optional case-insensitive filter for service account name.

roles
enum<string>[]

If specified, only service accounts holding at least one of these roles (either directly or via a group) are returned.

  • FOLDER_ADMIN: Preview: A folder admin role.
  • FOLDER_MOVER: Preview: A folder mover role.
  • AUDITOR: Limited Access: An auditor role with org-wide, read-only visibility into configuration, identity, authorization, audit logs, and cluster metadata.
  • CLUSTER_DATA_ACCESSOR: Limited Access: A cluster data accessor role with SQL and data access to clusters (databases, SQL shell, DB Console) without cluster-management privileges.
Available options:
BILLING_COORDINATOR,
ORG_ADMIN,
ORG_MEMBER,
CLUSTER_ADMIN,
CLUSTER_OPERATOR_WRITER,
CLUSTER_DEVELOPER,
CLUSTER_CREATOR,
FOLDER_ADMIN,
FOLDER_MOVER,
METRICS_VIEWER,
CLUSTER_MONITOR,
BILLING_VIEWER,
AUDITOR,
CLUSTER_DATA_ACCESSOR

Response

A successful response.

service_accounts
ServiceAccount · object[]
required

The service accounts matching the request filters.

pagination
object